Package org.eclipse.birt.chart.script.api.component

# Interface IValueSeries

All Known Subinterfaces:
  `IArea`, `IBar`, `IBubble`, `IGantt`, `ILine`, `IMeter`, `IPie`, `IScatter`, `IStackableSeries`, `IStock`

public interface IValueSeries
Represents the value(Y) Series of a Chart in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.birt.report.model.api.simpleapi.IAction`
`getAction()`
Gets Action for URL redirect of interactivity event in value series, or null when there's no URL redirect specified in interactivity events
`String`
`getAggregateExpr()`
Gets aggregate expression in value series.
`ISeriesData`
`getDataExpr()`
Gets query expression in the Series
`String`
`getTitle()`
Gets the title of series
`boolean`
`isPercent()`
Checks if value is displayed as percentage
`boolean`
`isVisible()`
Checks if current series is visible
`void`
`setAggregateExpr(String aggregateExpr)`
Sets aggregate expression in value series.
`void`
`setPercent(boolean percent)`
Sets if value is displayed as percentage
`void`
`setTitle(String title)`
Sets the title of series
`void`
`setVisible(boolean visible)`
Sets if current series is visible

## Method Details

### getDataExpr

ISeriesData getDataExpr()
Gets query expression in the Series

Returns:
  query expression object

### isVisible

boolean isVisible()
Checks if current series is visible

Returns:
  visible or not

### setVisible

void setVisible(boolean visible)
Sets if current series is visible

Parameters:
  `visible` -

### getTitle

String getTitle()
Gets the title of series

Returns:
  title string

### setTitle

void setTitle(String title)
Sets the title of series

Parameters:
  `title` - title string

### getAggregateExpr

String getAggregateExpr()
Gets aggregate expression in value series. If value series doesn't bind aggregate expression, get the expression from the category series. If category series doesn't bind as well, return blank string.

Returns:
  aggregate expression or blank expression if not found

### setAggregateExpr

void setAggregateExpr(String aggregateExpr)
Sets aggregate expression in value series. Unsets the aggregate expression by setting null or sets the default from category series by setting blank string.

Parameters:
  `aggregateExpr` - aggregate expression

### getAction

org.eclipse.birt.report.model.api.simpleapi.IAction getAction()
Gets Action for URL redirect of interactivity event in value series, or null when there's no URL redirect specified in interactivity events

Returns:
  Action

### isPercent

boolean isPercent()
Checks if value is displayed as percentage

Returns:

### setPercent

void setPercent(boolean percent)
Sets if value is displayed as percentage

Parameters:
  `percent` -